List folders
curl --request GET \
--url https://api.tryarchitect.com/v0/folders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tryarchitect.com/v0/folders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tryarchitect.com/v0/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"folderId": "<string>",
"parentFolderId": "<string>",
"name": "<string>",
"path": "<string>",
"sourceLinkId": "<string>",
"providerExternalId": "<string>",
"versionNumber": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"isDeleted": true
}
]
}{
"code": "VALIDATION_ERROR",
"detail": "body - name: Name is required; email: Invalid email address",
"details": [
{
"field": "body",
"issues": [
{
"code": "validation_failed",
"message": "name: Name is required",
"path": [
"name"
]
}
]
}
],
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 400,
"title": "Bad Request",
"type": "https://api.tryarchitect.com/errors/validation_error"
}{
"code": "UNAUTHORIZED",
"detail": "Authentication is required",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 401,
"title": "Unauthorized",
"type": "https://api.tryarchitect.com/errors/unauthorized"
}{
"code": "FORBIDDEN",
"detail": "Multi-tenant API keys are not supported",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 403,
"title": "Forbidden",
"type": "https://api.tryarchitect.com/errors/forbidden"
}{
"code": "RATE_LIMITED",
"detail": "Rate limit exceeded",
"details": {
"limit": 100,
"remaining": 0,
"resetTime": 1713225600000,
"retryAfter": 60
},
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 429,
"title": "Too Many Requests",
"type": "https://api.tryarchitect.com/errors/rate_limited"
}{
"code": "INTERNAL",
"detail": "An unexpected error occurred",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 500,
"title": "Internal Server Error",
"type": "https://api.tryarchitect.com/errors/internal"
}{
"code": "SERVICE_UNAVAILABLE",
"detail": "The service is temporarily unavailable",
"requestId": "req_01j5k9m7n8p9q2r3s4t5v6w7x8",
"status": 503,
"title": "Service Unavailable",
"type": "https://api.tryarchitect.com/errors/service_unavailable"
}Folders
List folders
List document folders. By default returns root folders; pass parentFolderId to list a folder’s children, or recursive=true to include the whole subtree.
GET
/
v0
/
folders
List folders
Authorizations
API key authentication for the External Actor Gateway
Query Parameters
Only return folders directly inside this folder. Omit for root folders.
Include the whole subtree instead of direct children only
limit parameter
Response
Successful operation
Show child attributes
Show child attributes
Was this page helpful?

